Subject: bug#24232: [PATCH] ls: postpone installation of signal handlers

From: Kamil Dudka <[email-masked]>
Date: Wed, 07 Sep 2016 10:15:37 +0200

On Tuesday, September 06, 2016 19:07:13 Pádraig Brady wrote:
> On 06/09/16 18:18, Jim Meyering wrote:
> > On Tue, Sep 6, 2016 at 10:05 AM, Paul Eggert <[email-masked]> wrote:
> >> On 09/06/2016 08:59 AM, Pádraig Brady wrote:
> >>> Will push later.
> >> 
> >> Before pushing, can you please change the name of "sigs" back to "sig"? I
> >> prefer the old name, as "sig[i]" clearly means "signal i", whereas
> >> "sigs[i]" is more confusing. (This is one of my pet peeves about array
> >> names.) Thanks.> 
> > I agree.
> > A good argument for "why?" is that we optimize for readability of the
> > more frequent use with an index, sig[i], rather than for the sole
> > declaration, or the less frequent uses of the array name without an
> > index.
> 
> Ok done.
> 
> I consolidated signal handler setup and restoration to a single function
> to allow that.

Thanks for review!  I am fine with all the proposals.  Please let me know
in case any resubmission is needed.

Kamil